import { AssistantPath } from '../util/index.js';
import fs from 'node:fs';
import oracledb from 'oracledb';
const libDir = process.env.LD_LIBRARY_PATH;
if (libDir)
    oracledb.initOracleClient({ libDir });
class StartupTasks {
    async createDirs() {
        const directories = Object.values(AssistantPath.getAllPath());
        directories.forEach((dir) => {
            if (!fs.existsSync(dir)) {
                fs.mkdirSync(dir, { recursive: true });
            }
        });
    }
    async execute() {
        await this.createDirs();
    }
}
export default new StartupTasks();
